Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.emailFwd
Class EPPEmailFwdInfoResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.emailFwd.EPPEmailFwdInfoResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPEmailFwdInfoResp

extends EPPResponse

Represents an EPP EmailFwd <emailFwd:infData> response to an `EPPEmailFwdInfoCmd`. When an <info> command has been processed successfully, the EPP <resData> element MUST contain a child <emailFwd:infData> element that identifies the emailFwd namespace and the location of the emailFwd schema. The <emailFwd:infData> element contains the following child elements:

- A <emailFwd:name> element that contains the fully qualified name of the emailFwd. Use `getName` and `setName` to get and set the element.
- A <emailFwd:fwdTo> element that contains the emailFwd forwardTo addresses.. Use `getForwardTo` and `setForwardTo` to get and set the forwardTo addresses.
- A <emailFwd:roid> element that contains the Repository Object IDentifier assigned to the emailFwd object when the object was created. Use `getRoid` and `setRoid` to get and set the element.
- One or more <emailFwd:status> elements that contain the current status descriptors associated with the emailFwd. See the `EPPEmailFwdStatus` description for a list of valid status values. Use `getStatus` and `setStatus` to get and set the elements.
- If supported by the server, one <emailFwd:registrant> element and one or more <emailFwd:contact> elements that contain identifiers for the human or organizational social information objects associated with the emailFwd object. Use `getContacts` and `setContacts` to get and set the elements. Contacts should only be specified if the Contact Mapping is supported.
- A <emailFwd:clID> element that contains the identifier of the sponsoring client. Use `getClientId` and `setClientId` to get and set the element.
- A <emailFwd:crID> element that contains the identifier of the client that created the emailFwd name. Use `getCreatedBy` and `setCreatedBy` to get and set the element.
- A <emailFwd:crDate> element that contains the date and time of emailFwd creation. Use `getCreatedDate` and `setCreatedDate` to get and set the element.
- A <emailFwd:exDate> element that contains the date and time identifying the end of the emailFwd's registration period. Use `getExpirationDate` and `setExpirationDate` to get and set the element.
- A <emailFwd:upID> element that contains the identifier of the client that last updated the emailFwd name. This element MUST NOT be present if the emailFwd has never been modified. Use `getLastUpdatedBy` and `setLastUpdatedBy` to get and set the element.
- A <emailFwd:upDate> element that contains the date and time of the most recent emailFwd modification. This element MUST NOT be present if the emailFwd has never been modified. Use `getLastUpdatedDate` and `setLastUpdatedDate` to get and set the element.
- A <emailFwd:trDate> elements that contains the date and time of the most recent successful transfer. This element MUST NOT be provided if the emailFwd has never been transferred. Use `getLastTransferDate` and `setLastTransferDate` to get and set the element.
- An OPTIONAL <emailFwd:authInfo> element that contains authorization information associated with the emailFwd object. This element MUST NOT be provided if the querying client is not the current sponsoring client. Use `getAuthInfo` and `setAuthInfo` to get and set the elements.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPEmailFwdInfoCmd`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPEmailFwdInfoResp()` `EPPEmailFwdInfoResp` default constructor.
`EPPEmailFwdInfoResp(EPPTransId aTransId, java.lang.String aRoid, java.lang.String aName, java.lang.String aClientId)` `EPPEmailFwdInfoResp` constuctor that takes the required attribute values as paramters.
`EPPEmailFwdInfoResp(EPPTransId aTransId, java.lang.String aRoid, java.lang.String aName, java.lang.String aForwardTo, java.lang.String aClientId, java.util.Vector someStatuses, java.lang.String aCreatedBy, java.util.Date aCreatedDate, EPPAuthInfo aAuthInfo)` `EPPEmailFwdInfoResp` constuctor that takes the required and the most common optional attribute values as paramters.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPEmailFwdInfoResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPEmailFwdInfoResp` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPEmailFwdInfoResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPEmailFwdInfoResp` with this instance.
`EPPAuthInfo` | `getAuthInfo()` Get authorization information
`java.lang.String` | `getClientId()` Gets the emailFwd owning Client Id.
`java.util.Vector` | `getContacts()` Gets the Contacts
`java.lang.String` | `getCreatedBy()` Gets Client Id that created the emailFwd.
`java.util.Date` | `getCreatedDate()` Gets the date and time the emailFwd was created.
`java.util.Date` | `getExpirationDate()` Gets the expiration date and time of the emailFwd.
`java.lang.String` | `getForwardTo()` Gets the emailFwd To
`java.util.Date` | `getLastTransferDate()` Gets the date and time of the last successful emailFwd transfer.
`java.lang.String` | `getLastUpdatedBy()` Gets the Client Id that last updated the emailFwd.
`java.util.Date` | `getLastUpdatedDate()` Gets the date and time of the last emailFwd update.
`java.lang.String` | `getName()` Gets the emailFwd name
`java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPEmailFwdInfoResp`.
`java.lang.String` | `getRegistrant()` Get registrant
`java.lang.String` | `getRoid()` Get roid.
`java.util.Vector` | `getStatuses()` Get the current associated statuses
`java.lang.String` | `getType()` Gets the EPP response type associated with `EPPEmailFwdInfoResp`.
`void` | `setAuthInfo(EPPAuthInfo newAuthInfo)` Set authorization information
`void` | `setClientId(java.lang.String aClientId)` Sets the emailFwd owning Client Id.
`void` | `setContacts(java.util.Vector someContacts)` Sets the Contacts.
`void` | `setCreatedBy(java.lang.String aCreatedBy)` Sets Client Id that created the emailFwd.
`void` | `setCreatedDate(java.util.Date aDate)` Sets the date and time the emailFwd was created.
`void` | `setExpirationDate(java.util.Date aExpirationDate)` Sets the expiration date and time of the emailFwd.
`void` | `setForwardTo(java.lang.String aForwardTo)` Sets the emailFwd name.
`void` | `setLastTransferDate(java.util.Date aLastTransferDate)` Sets the last date and time the emailFwd was successfully transferred.
`void` | `setLastUpdatedBy(java.lang.String aLastUpdatedBy)` Sets the Client Id that last updated the emailFwd.
`void` | `setLastUpdatedDate(java.util.Date aLastUpdatedDate)` Sets the last date and time the emailFwd was updated.
`void` | `setName(java.lang.String aName)` Sets the emailFwd name.
`void` | `setRegistrant(java.lang.String newRegistrant)` Set registrants.
`void` | `setRoid(java.lang.String newRoid)` Set roid.
`void` | `setStatuses(java.util.Vector newStatuses)` Set associated statuses.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPEmailFwdInfoResp

    public EPPEmailFwdInfoResp()

  `EPPEmailFwdInfoResp` default constructor. Must call required setter methods before invoking `encode`, which include:
  - name - `setName`
  - roid - `setRoid`
  - client id - `setClientId`

### EPPEmailFwdInfoResp

    public EPPEmailFwdInfoResp(EPPTransId aTransId,
                               java.lang.String aRoid,
                               java.lang.String aName,
                               java.lang.String aClientId)

  `EPPEmailFwdInfoResp` constuctor that takes the required attribute values as paramters. The setter methods of the optional attributes can be called before invoking `encode`.

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aRoid` - roid
    `aName` - EmailFwd name
    `aClientId` - Owning Client Id

### EPPEmailFwdInfoResp

    public EPPEmailFwdInfoResp(EPPTransId aTransId,
                               java.lang.String aRoid,
                               java.lang.String aName,
                               java.lang.String aForwardTo,
                               java.lang.String aClientId,
                               java.util.Vector someStatuses,
                               java.lang.String aCreatedBy,
                               java.util.Date aCreatedDate,
                               EPPAuthInfo aAuthInfo)

  `EPPEmailFwdInfoResp` constuctor that takes the required and the most common optional attribute values as paramters. The setter methods of the additional optional attributes can be called before invoking `encode`.

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aRoid` - roid
    `aName` - EmailFwd name
    `aForwardTo` - EmailFwdTo address
    `aClientId` - Owning Client Id
    `someStatuses` - Current status descriptors associated with the emailFwd.
    `aCreatedBy` - Client Id of Registrar that created the emailFwd
    `aCreatedDate` - Date the emailFwd was created
    `aAuthInfo` - Expirate date of the emailFwd

Method Detail

### getStatuses

    public java.util.Vector getStatuses()

  Get the current associated statuses

  Returns:
    java.util.Vector

### setStatuses

    public void setStatuses(java.util.Vector newStatuses)

  Set associated statuses.

  Parameters:
    `newStatuses` - java.util.Vector

### getType

    public java.lang.String getType()

  Gets the EPP response type associated with `EPPEmailFwdInfoResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    `EPPEmailFwdInfoResp.ELM_NAME`

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command namespace associated with `EPPEmailFwdInfoResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPEmailFwdMapFactory.NS`

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPEmailFwdInfoResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPEmailFwdInfoResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPEmailFwdInfoResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getName

    public java.lang.String getName()

  Gets the emailFwd name

  Returns:
    EmailFwd Name if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the emailFwd name.

  Parameters:
    `aName` - EmailFwd Name

### setForwardTo

    public void setForwardTo(java.lang.String aForwardTo)

  Sets the emailFwd name.

  Parameters:
    `aForwardTo` - EmailFwd Name

### getForwardTo

    public java.lang.String getForwardTo()

  Gets the emailFwd To

  Returns:
    EmailFwd forwardTo if defined; `null` otherwise.

### getClientId

    public java.lang.String getClientId()

  Gets the emailFwd owning Client Id.

  Returns:
    Client Id

### setClientId

    public void setClientId(java.lang.String aClientId)

  Sets the emailFwd owning Client Id.

  Parameters:
    `aClientId` - Client Id

### getContacts

    public java.util.Vector getContacts()

  Gets the Contacts

  Returns:
    Vector of `EPPEmailFwdContact` instances if defined; `null` otherwise.

### setContacts

    public void setContacts(java.util.Vector someContacts)

  Sets the Contacts. This method should only be called if the Contact Namespace supported.

  Parameters:
    `someContacts` - - Vector of `EPPEmailFwdContact` instances

### getCreatedBy

    public java.lang.String getCreatedBy()

  Gets Client Id that created the emailFwd.

  Returns:
    Client Id if defined; `null` otherwise.

### setCreatedBy

    public void setCreatedBy(java.lang.String aCreatedBy)

  Sets Client Id that created the emailFwd.

  Parameters:
    `aCreatedBy` - Client Id that created the emailFwd.

### getCreatedDate

    public java.util.Date getCreatedDate()

  Gets the date and time the emailFwd was created.

  Returns:
    Date and time the emailFwd was created if defined; `null` otherwise.

### setCreatedDate

    public void setCreatedDate(java.util.Date aDate)

  Sets the date and time the emailFwd was created.

  Parameters:
    `aDate` - Date and time the emailFwd was created.

### getExpirationDate

    public java.util.Date getExpirationDate()

  Gets the expiration date and time of the emailFwd.

  Returns:
    Expiration date and time of the emailFwd if defined; `null` otherwise.

### setExpirationDate

    public void setExpirationDate(java.util.Date aExpirationDate)

  Sets the expiration date and time of the emailFwd.

  Parameters:
    `aExpirationDate` - Expiration date and time of the emailFwd.

### getLastUpdatedBy

    public java.lang.String getLastUpdatedBy()

  Gets the Client Id that last updated the emailFwd. This will be null if the emailFwd has not been updated since creation.

  Returns:
    Client Id that last updated the emailFwd has been updated; `null` otherwise.

### setLastUpdatedBy

    public void setLastUpdatedBy(java.lang.String aLastUpdatedBy)

  Sets the Client Id that last updated the emailFwd.

  Parameters:
    `aLastUpdatedBy` - Client Id String that last updated the emailFwd.

### getLastUpdatedDate

    public java.util.Date getLastUpdatedDate()

  Gets the date and time of the last emailFwd update. This will be `null` if the emailFwd has not been updated since creation.

  Returns:
    date and time of the last emailFwd update if defined; `null` otherwise.

### setLastUpdatedDate

    public void setLastUpdatedDate(java.util.Date aLastUpdatedDate)

  Sets the last date and time the emailFwd was updated.

  Parameters:
    `aLastUpdatedDate` - Date and time of the last emailFwd update.

### getLastTransferDate

    public java.util.Date getLastTransferDate()

  Gets the date and time of the last successful emailFwd transfer. This will be `null` if the emailFwd has not been successfully transferred since creation.

  Returns:
    date and time of the last successful transfer if defined; `null` otherwise.

### setLastTransferDate

    public void setLastTransferDate(java.util.Date aLastTransferDate)

  Sets the last date and time the emailFwd was successfully transferred.

  Parameters:
    `aLastTransferDate` - Date and time of the last succesful transfer

### getAuthInfo

    public EPPAuthInfo getAuthInfo()

  Get authorization information

  Returns:
    Authorization information if defined; `null` otherwise;

### getRegistrant

    public java.lang.String getRegistrant()

  Get registrant

  Returns:
    String

### setRegistrant

    public void setRegistrant(java.lang.String newRegistrant)

  Set registrants.

  Parameters:
    `newRegistrant` - String

### setAuthInfo

    public void setAuthInfo(EPPAuthInfo newAuthInfo)

  Set authorization information

  Parameters:
    `newAuthInfo` - EPPAuthInfo

### getRoid

    public java.lang.String getRoid()

  Get roid.

  Returns:
    java.lang.String

### setRoid

    public void setRoid(java.lang.String newRoid)

  Set roid.

  Parameters:
    `newRoid` - java.lang.String

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPEmailFwdInfoResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the EPPEmailFwdInfoResp instance.
  Throws:
    `EPPEncodeException` - Unable to encode EPPEmailFwdInfoResp instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPEmailFwdInfoResp` attributes from the aElement DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPEmailFwdInfoResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.